﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Reporting;



namespace Printing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //WindowPrinting wp = new WindowPrinting();
            //wp.ShowDialog();
            Report reportObj = new Report();
            reportObj.PageHeaderTemplate = this.Resources["PageHeaderTemplate"] as DataTemplate;
            reportObj.PageHeader = "Test Report";
            reportObj.ReportSettings.Margin = new Thickness(50, 50, 50, 50);
            EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(xamDataGrid1);
            reportObj.Sections.Add(section);
            XamReportPreview previewer = new XamReportPreview();
            previewer.GeneratePreview(reportObj, false, false);
            Window window = new Window();
            window.Title = "Previwer test";
            window.Content = previewer;
            window.ShowDialog();
        }
    }
}
